Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp
Class SmartBMPFactory

    java.lang.Object
      com.beasys.commerce.bridge.bmp.SmartBMPFactory

Deprecated

    @Deprecated
    public class SmartBMPFactory

extends Object

This class implements the Singleton design pattern for obtaining SmartBMP instances. A single instance of a SmartBMP exists for a given SmartBMP class name.

Constructor Summary
`SmartBMPFactory()` Deprecated

Method Summary
`static SmartBMP` | `createSmartBMP(String smartBMPClass)` Deprecated Returns the singleton SmartBMP for the specified class name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartBMPFactory

    public SmartBMPFactory()

  Deprecated

Method Detail

### createSmartBMP

    public static SmartBMP createSmartBMP(String smartBMPClass)
                                   throws ClassNotFoundException,
                                          IllegalAccessException,
                                          InstantiationException

  Deprecated
  Returns the singleton SmartBMP for the specified class name. The method uses the design pattern that reduces contention and synchronization overhead.

  Parameters
    `smartBMPClass` - class name of the SmartBMP
  Returns
    singleton SmartBMP
  Throws
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.